RNACOFOLD(1)

NAME
RNAcofold - manual page for RNAcofold 2.3.3

SYNOPSIS
RNAcofold [OPTIONS]...

DESCRIPTION
RNAcofold 2.3.3

calculate secondary structures of two RNAs with dimerization

The program works much like RNAfold, but allows one to specify two RNA sequences which are then allowed to form a dimer structure. RNA sequences are read from stdin in the usual format, i.e. each line of input corresponds to one sequence, except for lines starting with ">" which contain the name of the next sequence. To compute the hybrid structure of two molecules, the two sequences must be concatenated using the \'&\' character as separator. RNAcofold can compute minimum free energy (mfe) structures, as well as partition function (pf) and base pairing probability matrix (using the -p switch) Since dimer formation is concentration dependent, RNAcofold can be used to compute equilibrium concentrations for all five monomer and (homo/hetero)-dimer species, given input concentrations for the monomers. Output consists of the mfe structure in bracket notation as well as PostScript structure plots and "dot plot" files containing the pair probabilities, see the RNAfold man page for details. In the dot plots a cross marks the chain break between the two concatenated sequences. The program will continue to read new sequences until a line consisting of the single character @ or an end of file condition is encountered.

-h, --help
    Print help and exit

--detailed-help
    Print help, including all details and hidden options, and exit

--full-help
    Print help, including hidden options, and exit

-V, --version
    Print version and exit

  General Options:

    Command line options which alter the general behavior of this program

--noPS
    Do not produce postscript drawing of the mfe structure.

    (default=off)

--noconv
    Do not automatically substitute nucleotide "T" with "U"

    (default=off)

--auto-id
    Automatically generate an ID for each sequence. (default=off)

    The default mode of RNAcofold is to automatically determine an ID from the input sequence data if the input file format allows to do that. Sequence IDs are usually given in the FASTA header of input sequences. If this flag is active, RNAcofold ignores any IDs retrieved from the input and automatically generates an ID for each sequence. This ID consists of a prefix and an increasing number. This flag can also be used to add a FASTA header to the output even if the input has none.

--id-prefix=prefix
    Prefix for automatically generated IDs (as used in output file names)

    (default=`sequence')

    If this parameter is set, each sequence will be prefixed with the provided string. Hence, the output files will obey the following naming scheme: "prefix_xxxx_ss.ps" (secondary structure plot), "prefix_xxxx_dp.ps" (dot-plot), "prefix_xxxx_dp2.ps" (stack probabilities), etc. where xxxx is the sequence number. Note: Setting this parameter implies --auto-id.

--id-digits=INT
    Specify the number of digits of the counter in automatically generated alignment IDs.

    (default=`4')

    When alignments IDs are automatically generated, they receive an increasing number, starting with 1. This number will always be left-padded by leading zeros, such that the number takes up a certain width. Using this parameter, the width can be specified to the users need. We allow numbers in the range [1:18]. This option implies --auto-id.

--id-start=LONG
    Specify the first number in automatically generated alignment IDs.

    (default=`1')

    When sequence IDs are automatically generated, they receive an increasing number, usually starting with 1. Using this parameter, the first number can be specified to the users requirements. Note: negative numbers are not allowed. Note: Setting this parameter implies to ignore any IDs retrieved from the input data, i.e. it activates the --auto-id flag.

  Structure Constraints:

    Command line options to interact with the structure constraints feature of this program

--maxBPspan=INT
    Set the maximum base pair span

    (default=`-1')

-C, --constraint[=<filename>] Calculate structures subject to constraints.
    (default=`')

    The program reads first the sequence, then a string containing constraints on the structure encoded with the symbols:

    . (no constraint for this base)

    | (the corresponding base has to be paired

    x (the base is unpaired)

    < (base i is paired with a base j>i)

    > (base i is paired with a base j<i)

    and matching brackets ( ) (base i pairs base j)

    With the exception of "|", constraints will disallow all pairs conflicting with the constraint. This is usually sufficient to enforce the constraint, but occasionally a base may stay unpaired in spite of constraints. PF folding ignores constraints of type "|".

--batch
    Use constraints for multiple sequences. (default=off)

    Usually, constraints provided from input file only apply to a single input sequence. Therefore, RNAfold will stop its computation and quit after the first input sequence was processed. Using this switch, RNAfold processes multiple input sequences and applies the same provided constraints to each of them.

--canonicalBPonly
    Remove non-canonical base pairs from the structure constraint

    (default=off)

--enforceConstraint
    Enforce base pairs given by round brackets ( ) in structure constraint

    (default=off)

--commands=<filename>
    Read additional commands from file

    Commands include hard and soft constraints, but also structure motifs in hairpin and interior loops that need to be treeted differently. Furthermore, commands can be set for unstructured and structured domains.

  Algorithms:

    Select additional algorithms which should be included in the calculations. The Minimum free energy (MFE) and a structure representative are calculated in any case.

-p, --partfunc[=INT]
    Calculate the partition function and base pairing probability matrix in addition to the mfe structure. Default is calculation of mfe structure only.

    (default=`1')

    In addition to the MFE structure we print a coarse representation of the pair probabilities in form of a pseudo bracket notation, followed by the ensemble free energy, as well as the centroid structure derived from the pair probabilities together with its free energy and distance to the ensemble. Finally it prints the frequency of the mfe structure, and the structural diversity (mean distance between the structures in the ensemble). See the description of pf_fold() and mean_bp_dist() and centroid() in the RNAlib documentation for details. Note that unless you also specify -d2 or -d0, the partition function and mfe calculations will use a slightly different energy model. See the discussion of dangling end options below.

    An additionally passed value to this option changes the behavior of partition function calculation:

    In order to calculate the partition function but not the pair probabilities

    use the -p0 option and save about

    50% in runtime. This prints the ensemble free energy -kT ln(Z).

-a, --all_pf
    Compute the partition function and free energies not only of the hetero-dimer consisting of the two input sequences (the "AB dimer"), but also of the homo-dimers AA and BB as well as A and B monomers.

    (default=off)

    The output will contain the free energies for each of these species, as well as 5 dot plots containing the conditional pair probabilities, called ABname5.ps, AAname5.ps and so on. For later use, these dot plot files also contain the free energy of the ensemble as a comment. Using -a automatically toggles the -p option.

-c, --concentrations
    In addition to everything listed under the -a option, read in initial monomer concentrations and compute the expected equilibrium concentrations of the 5 possible species (AB, AA, BB, A, B).

    (default=off)

    Start concentrations are read from stdin (unless the -f option is used) in [mol/l], equilibrium concentrations are given realtive to the sum of the two inputs. An arbitrary number of initial concentrations can be specified (one pair of concentrations per line).

-f, --concfile=filename
    Specify a file with initial concentrations for the two sequences.

    The table consits of arbitrary many lines with just two numbers (the concentration of sequence A and B). This option will automatically toggle the -c (and thus -a and -p) options (see above).

-S, --pfScale=scaling factor
    In the calculation of the pf use scale*mfe as an estimate for the ensemble free energy (used to avoid overflows).

    The default is 1.07, useful values are 1.0 to 1.2. Occasionally needed for long sequences. You can also recompile the program to use double precision (see the README file).

--bppmThreshold=<value>
    Set the threshold for base pair probabilities included in the postscript output

    (default=`1e-5')

    By setting the threshold the base pair probabilities that are included in the output can be varied. By default only those exceeding 1e-5 in probability will be shown as squares in the dot plot. Changing the threshold to any other value allows for increase or decrease of data.

-g, --gquad
    Incoorporate G-Quadruplex formation into the structure prediction algorithm.

    (default=off)

  Model Details:

-T, --temp=DOUBLE
    Rescale energy parameters to a temperature of temp C. Default is 37C.

-4, --noTetra
    Do not include special tabulated stabilizing energies for tri-, tetra- and hexaloop hairpins.

    (default=off)

    Mostly for testing.

-d, --dangles=INT
    How to treat "dangling end" energies for bases adjacent to helices in free ends and multi-loops

    (default=`2')

    With -d1 only unpaired bases can participate in at most one dangling end, this is the default for mfe folding but unsupported for the partition function folding.

    With -d2 this check is ignored, dangling energies will be added for the bases adjacent to a helix on both sides in any case; this is the default for partition function folding (-p). The option -d0 ignores dangling ends altogether (mostly for debugging). With -d3 mfe folding will allow coaxial stacking of adjacent helices in multi-loops. At the moment the implementation will not allow coaxial stacking of the two interior pairs in a loop of degree 3 and works only for mfe folding.

    Note that by default (as well as with -d1 and -d3) pf and mfe folding treat dangling ends differently. Use -d2 in addition to -p to ensure that both algorithms use the same energy model.

--noLP
    Produce structures without lonely pairs (helices of length 1).

    (default=off)

    For partition function folding this only disallows pairs that can only occur isolated. Other pairs may still occasionally occur as helices of length 1.

--noGU
    Do not allow GU pairs

    (default=off)

--noClosingGU
    Do not allow GU pairs at the end of helices

    (default=off)

-P, --paramFile=paramfile
    Read energy parameters from paramfile, instead of using the default parameter set.

    A sample parameter file should accompany your distribution. See the RNAlib documentation for details on the file format.

--nsp=STRING
    Allow other pairs in addition to the usual AU,GC,and GU pairs.

    Its argument is a comma separated list of additionally allowed pairs. If the first character is a "-" then AB will imply that AB and BA are allowed pairs. e.g. RNAfold -nsp -GA will allow GA and AG pairs. Nonstandard pairs are given 0 stacking energy.

-e, --energyModel=INT
    Rarely used option to fold sequences from the artificial ABCD... alphabet, where A pairs B, C-D etc. Use the energy parameters for GC (-e 1) or AU (-e 2) pairs.

--betaScale=DOUBLE
    Set the scaling of the Boltzmann factors (default=`1.')

    The argument provided with this option enables to scale the thermodynamic temperature used in the Boltzmann factors independently from the temperature used to scale the individual energy contributions of the loop types. The Boltzmann factors then become exp(-dG/(kT*betaScale)) where k is the Boltzmann constant, dG the free energy contribution of the state and T the absolute temperature.

REFERENCES
If you use this program in your work you might want to cite: R. Lorenz, S.H. Bernhart, C. Hoener zu Siederdissen, H. Tafer, C. Flamm, P.F. Stadler and I.L. Hofacker (2011), "ViennaRNA Package 2.0", Algorithms for Molecular Biology: 6:26 I.L. Hofacker, W. Fontana, P.F. Stadler, S. Bonhoeffer, M. Tacker, P. Schuster (1994), "Fast Folding and Comparison of RNA Secondary Structures", Monatshefte f. Chemie: 125, pp 167-188 S.H.Bernhart, Ch. Flamm, P.F. Stadler, I.L. Hofacker, (2006), "Partition Function and Base Pairing Probabilities of RNA Heterodimers", Algorithms Mol. Biol. The energy parameters are taken from: D.H. Mathews, M.D. Disney, D. Matthew, J.L. Childs, S.J. Schroeder, J. Susan, M. Zuker, D.H. Turner (2004), "Incorporating chemical modification constraints into a dynamic programming algorithm for prediction of RNA secondary structure", Proc. Natl. Acad. Sci. USA: 101, pp 7287-7292 D.H Turner, D.H. Mathews (2009), "NNDB: The nearest neighbor parameter database for predicting stability of nucleic acid secondary structure", Nucleic Acids Research: 38, pp 280-282

AUTHOR
Ivo L Hofacker, Peter F Stadler, Stephan Bernhart, Ronny Lorenz

REPORTING BUGS
If in doubt our program is right, nature is at fault. Comments should be sent to rna@tbi.univie.ac.at.